%global major 0
%define libname %mklibname efivar %major
%define devname %mklibname -d efivar
Name:           efivar
Version:        31
Release:        %mkrel 1
Group:          System/Boot and Init
Summary:        Tools to manage UEFI variables
License:        LGPLv2.1
URL:            https://github.com/vathpela/efivar
Requires:       %{libname} = %{version}-%{release}
ExclusiveArch:  i586 x86_64 aarch64

BuildRequires:  popt-devel popt-static git glibc-static-devel
Source0:        https://github.com/rhinstaller/efivar/releases/download/%{version}/efivar-%{version}.tar.bz2
Patch0001:	0001-allow-deprecated-declarations-for-now-to-let-readdir.patch

%description
efivar provides a simple command line interface to the UEFI variable facility.


%package -n %libname
Summary: Library to manage UEFI variables
Group: System/Libraries

%description -n %libname
Library to allow for the simple manipulation of UEFI variables.

%package -n %devname
Group: Development/C
Summary: Development headers for libefivar
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %devname
development headers required to use libefivar.

%prep
%setup -q 
git init
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null
git config --unset user.email
git config --unset user.name

%build
make libdir=%{_libdir} bindir=%{_bindir} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
%makeinstall

%files
%doc COPYING
%{_bindir}/efivar
%exclude %{_bindir}/efivar-static
%{_mandir}/man1/*

%files -n %devname
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %libname
%{_libdir}/*.so.*



%changelog
* Tue Apr 11 2017 ovitters <ovitters> 31-1.mga6
+ Revision: 1096414
- new version 31 (new versioning scheme)

* Tue Aug 02 2016 ngompa <ngompa> 0.24-2.mga6
+ Revision: 1044296
- Add missing Provides for devel subpackage

* Fri Jul 08 2016 tv <tv> 0.24-1.mga6
+ Revision: 1039679
- new release

* Sun Feb 21 2016 tv <tv> 0.23-1.mga6
+ Revision: 975281
- BR popt-static
- BR static libs
- new release
- fix compiling with kernel-4.4
  (still need a newer kernel-userspace-headers)
- fix source URL

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Sep 04 2015 tv <tv> 0.21-1.mga6
+ Revision: 872717
- new release

* Sun Jun 21 2015 tv <tv> 0.20-1.mga6
+ Revision: 837835
- new release

* Fri Apr 24 2015 barjac <barjac> 0.15-2.mga5
+ Revision: 820723
- bump release for core

* Thu Apr 23 2015 barjac <barjac> 0.15-1.mga5
+ Revision: 820590
- new version 0.15 fixes mga#15442

* Wed Oct 15 2014 umeabot <umeabot> 0.11-4.mga5
+ Revision: 743363
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-3.mga5
+ Revision: 678968
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 0.11-2.mga5
+ Revision: 672967
- imported package efivar


* Sat Sep 06 2014 Thierry Vignaud <tv@mageia.org> 0.11-1.mga5
- import from FC

* Wed Aug 20 2014 Peter Jones <pjones@redhat.com> - 0.11-1
- Update to 0.11

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 Peter Jones <pjones@redhat.com> - 0.10-1
- Update package to 0.10.
- Fixes a build error due to different cflags in the builders vs updstream
  makefile.

* Fri May 02 2014 Peter Jones <pjones@redhat.com> - 0.9-0.1
- Update package to 0.9.

* Tue Apr 01 2014 Peter Jones <pjones@redhat.com> - 0.8-0.1
- Update package to 0.8 as well.

* Fri Oct 25 2013 Peter Jones <pjones@redhat.com> - 0.7-1
- Update package to 0.7
- adds --append support to the binary.

* Fri Sep 06 2013 Peter Jones <pjones@redhat.com> - 0.6-1
- Update package to 0.6
- fixes to documentation from lersek
- more validation of uefi guids
- use .xz for archives

* Thu Sep 05 2013 Peter Jones <pjones@redhat.com> - 0.5-0.1
- Update to 0.5

* Mon Jun 17 2013 Peter Jones <pjones@redhat.com> - 0.4-0.2
- Fix ldconfig invocation

* Mon Jun 17 2013 Peter Jones <pjones@redhat.com> - 0.4-0.1
- Initial spec file
